package com.yccrc.common.enums;

/**
 * 返回状态码
 *
 * @author chuanglx
 */
public enum ResultCode {

    /**
     * 成功状态码
     */
    SUCCESS(200, "成功"),

    /**
     * 失败返回码
     */
    METHOD_ERROR(401, "请求方法不支持"),
    
    /**
     * 失败返回码
     */
    ERROR(400, "服务器繁忙，请稍后重试"),
    
    /**
     * 失败返回码
     */
    FORBIDDEN(403, "无权限"),

    NOT_NULL(4001, "不允许为空"),
    
    /**
     * 参数异常
     */
    PARAMS_ERROR(4002, "参数异常"),

    USER_NOT_EXIST(20002, "用户不存在"),

    USER_NOT_LOGIN(20003, "用户未登录"),

    USER_AUTH_EXPIRED(20004, "用户已退出，请重新登录"),

    USER_AUTHORITY_ERROR(20005, "权限不足"),

    USER_CONNECT_LOGIN_ERROR(20006, "未找到登录信息"),

    USER_NAME_EXIST(20007, "该用户名已被注册"),

    USER_PHONE_EXIST(20008, "该手机号已被注册"),

    USER_PHONE_NOT_EXIST(20009, "手机号不存在"),

    USER_PASSWORD_ERROR(20010, "密码不正确"),

	USER_STATUS_ERROR(20011, "用户不存在或已冻结");
   

    private final Integer code;
    private final String message;


    ResultCode(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer code() {
        return this.code;
    }

    public String message() {
        return this.message;
    }

}
